/* カスタマイズ用CSS */

.margintop16 {
  margin-top: 16px;
}
.marginbottom16 {
  margin-bottom: 16px;
}

/* 背景色を変更 */
.ec-layoutRole {
  background-color: #fafafa;
}
/* メインコンテンツの背景色と余白 */
.ec-layoutRole main {
  background-color: #F9F9F9;
  padding: 1rem 0;
  border-radius: 0.5rem;
  border: 1px solid #ccc;
}

/* ヘッダー：ロゴを検索欄の左に横並び */
.ec-headerNaviRole__left {
  display: flex;
  align-items: center;
}

/* ボタンのスタイル */
.ec-blockBtn--action
,.ec-blockBtn--cancel
,.ec-blockBtn
,.ec-blockBtn--top
,.ec-inlineBtn
,.ec-inlineBtn--action
,.ec-inlineBtn--cancel
,.ec-inlineBtn--top
,.ec-blockTopBtn
{
    border-radius: 0.5rem;
    transition: all 0.3s;
}

/* ロゴのスタイル */
#logo-h1 {
  background: #fafafa;
  border-radius: 0.5rem;
  margin: 0;
  margin-right: 0.5rem;
  margin-top: 10px;
}
#logo-h1 a {
  display: inline-flex;
}
#logo {
  flex-shrink: 0;
  height: 30px;   /* viewBox の高さ基準。検索欄と高さを合わせる */
  width: auto;
}

/* ヘッダー背景色 */
.ec-layoutRole__header {
    background: #0277BD;
    margin-bottom: 1rem;
    padding-bottom: 0.5rem;
}

.ec-headerNav .ec-headerNav__itemLink,
.ec-headerNav .ec-headerNav__itemIcon{
    color: #fafafa;
}

.ec-itemNav__nav li a{
    border-radius: 0.5rem;
    margin: 0 0.2rem;
}

/* ヘッダー：ロゴと検索欄の幅を調整 */
.ec-headerNaviRole .ec-headerNaviRole__left {
  width: 40%;
}
.ec-headerNaviRole .ec-headerNaviRole__right{
  width: 60%;
}
@media only screen and (max-width: 768px) {
  #logo-h1 {
    margin-left: 40px;
  }
}

/* 商品一覧 */
.ec-shelfGrid__item-name{
    font-weight: bold;
}

.ec-shelfGrid__item-price{
    font-weight: bold;
    color: #E53935;
    font-size: 1.2rem;
    margin: 0.5rem 0;
}

/* 商品のタグ表示余白 */
.ec-productRole .ec-productRole__tags{
    margin-bottom: 0;
}

/* 商品の配送費表示のスタイル */
.ec-productRole__deliveryFee{
    padding: 0.2rem 0.5rem;
    margin: 0.5rem;
    background: #BBDEFB;
    border-radius: 0.5rem;
    display: inline-block;
}

/* 注文確認画面の注意事項 */
.ec-orderinfo{
  display: inline-block;
  background: #FFF3E0;
  border: 1px solid #F57C00;
  border-radius: 0.5rem;
  padding: 0.5rem;
  line-height: 2;
}